Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

Already on GitHub? Sign in to your account

xsbt compatibility with java 7 #208

Closed
harrah opened this Issue Jan 5, 2013 · 1 comment

Comments

Projects
None yet
1 participant
Owner

harrah commented Jan 5, 2013

Sbt compile appears to finish, though with warnings. The proguard action fails because proguard 4.4 doesn't support java 7.

Solution

Bumping proguard to 4.7 beta and making this change (thanks mharrah!) is enough to get a working sbt-launch.jar

-       private def libraryFilter = "(!META-INF/**,!*.properties,!scala/actors/**.!scala/util/parsing/*.class,!scala/xml/**.class,!scala/package$.class,**.class)"
+       private def libraryFilter = "(!META-INF/**,!*.properties,!scala/actors/**.!scala/util/parsing/*.class,**.class)"
Owner

harrah commented Jan 5, 2013

IMPORTANT This project has moved to https://github.com/sbt/sbt. This issue still exists to avoid dead links, but GitHub limitations prevent the original issue from being correctly preserved here. Please see sbt/sbt#208 for the full issue and to comment.

@harrah harrah closed this Jan 5, 2013

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment